### Method

# Ide SubprocessLauncher push_args

#### Declaration

    void
    ide_subprocess_launcher_push_args (
      IdeSubprocessLauncher* self,
      const gchar* const* args
    )

#### Description

This function is semantically identical to calling `ide_subprocess_launcher_push_argv()` for each element of `args`.

If `args` is `NULL`, this function does nothing.

Available since: | 3.32

#### Parameters

`args` | An array of `utf8`
| The arguments.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.